# class SnmpSecurityLevel |
Full name | `Snmp::SnmpSecurityLevel`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SnmpSecurityLevel ()
- SnmpSecurityLevel (void* data, int len)
- ~SnmpSecurityLevel ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_SnmpSecurityLevel
- static const int32_t s_noAuthNoPriv_SnmpSecurityLevel
- static const int32_t s_authNoPriv_SnmpSecurityLevel
- static const int32_t s_authPriv_SnmpSecurityLevel

## Detailed Description

static const int s_type | ### s_type

int32_t m_SnmpSecurityLevel | ### m_SnmpSecurityLevel

static const int32_t s_noAuthNoPriv_SnmpSecurityLevel | ### s_noAuthNoPriv_SnmpSecurityLevel

static const int32_t s_authNoPriv_SnmpSecurityLevel | ### s_authNoPriv_SnmpSecurityLevel

static const int32_t s_authPriv_SnmpSecurityLevel | ### s_authPriv_SnmpSecurityLevel

SnmpSecurityLevel () | ### SnmpSecurityLevel

SnmpSecurityLevel (void* data, int len) | ### SnmpSecurityLevel

~SnmpSecurityLevel () | ### ~SnmpSecurityLevel

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.